<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<div style="text-align:center"><img src="images/Noviceguide_2.gif" alt="第一步" align="middle"/></div>
<div style="padding:20px 60px 10px 60px;">
	<div style="text-align:center; padding:10px 0px;">
		<span id="statusT" style="font-size:13px; font-weight:bold; color:#009bdc;"></span>
	</div>
	<fieldset id="show-notice" style="border:1px #CCCCCC solid;padding: 0px 10px;-moz-border-radius:8px; display:none;">
		<legend style=" margin:auto; color:#333333;">温馨提示:</legend>
		<div style=" padding: 30px 0px; line-height:20px; color:#0090c8;">
			继续完成以下向导内容，以便客服在系统有新版本和活动奖励时联系你！
		</div>
	</fieldset>
</div>

<div class="NoviceguideFooter">
	<input  type="submit" name="Submit" value="上一步" class="goback next dis"/>
	<input type="submit" name="Submit" value="下一步" class="gonext next dis" />
	<div style="clear:both; height:1px; overflow:hidden"></div>
</div>


<script src="js/jquery/jquery.cookie.js"></script>
<script>
	$(document).ready(function(){

		var cookie_template = $.cookie('init_template_id');
		if(!cookie_template){
			alert('还没有选择模板，请先选择模板！');
			init_next(2);
		}
		
		/*
		if (INIT_OPEN != '') {
			if (!confirm("系统将要进行数据初始化，会替换掉原来的数据，在操作前请先做好备份！\r\n您已经备份好了吗？")) {
				window.location.href = './index.php?r=database.backup&menu_id=13';
				return false;
			}
		}
		
		if (!confirm("您确定要初始化数据吗？")) 
		{
			t9.close();
			return false;
		}
		*/
		$(".goback").click(function(){
			$(this).attr("disabled",'disabled').addClass("dis");
			$(".gonext").attr("disabled",'disabled').addClass("dis");
			
			init_next(2);
		});
		
		$(".gonext").click(function(){
			$(".goback").attr("disabled",'disabled').addClass("dis");
			$(this).attr("disabled",'disabled').addClass("dis");
			
			init_next(5);
		});
		
		$(".gonext").attr("disabled","disabled");
		$(".goback").attr("disabled","disabled");
		$.ajax({
				async:false,
				cache:false,
				//contentType:'json' ,
				data:{id:cookie_template},
				url:'./index.php?r=Init.getTemplateById',
				type:'get',
				success:function(data){
					data = eval('('+data+')');
					if(cookie_template != data.id)
					{
						alert('当前选择的模板没有数据，请重新选择模板！');
						init_next(2);
					}else{
						
						downloadsqlfile(data.sql_file)
					}
				}
			});
		
	});
	
	function downloadsqlfile(sqlfile)
	{
		//sqlfile = encodeURIComponent(sqlfile);
		
		$("#statusT").html("<img src='images/spinner.gif'/>正在下载数据，请稍候...");
		$.ajax({
			type:'post',
			async:false,
			data:{sqlfile:sqlfile},
			url:"./index.php?r=Init.downloadsqlfile&rd="+Math.random(),
			dataType:'json',
			success:function(data){
				if(data.status == 1){
					$("#statusT").html("<img src='images/spinner.gif'/>数据库文件下载完成！");
					
					initdata(data.sqlfile);
				}else{
					$("#statusT").html("<img src='images/spinner.gif'/>下载数据失败，请重新选择！");

					$(".goback").attr("disabled","");
					$(".goback").removeClass("dis");
				}
			}
		});
	}
	
	function initdata(sqlfile)
	{
		$("#statusT").html("<img src='images/spinner.gif'/>正在初始化模板数据，请稍候...");
		sqlfile = encodeURIComponent(sqlfile);
		$.ajax({
			type:'get',
			async:false,
			data:{sqlfile:sqlfile},
			url:"./index.php?r=Init.initdata&rd="+Math.random(),
			dataType:'json',
			success:function(data){
				//alert(data);
				if(data.status == 1){
					$("#statusT").html("恭喜您!您的网站已经初始化数据成功！");
					$(".gonext").attr('disabled','');
					$(".gonext").removeClass("dis");
					
					$("#show-notice").fadeIn(300);
				}else{
					$("#statusT").html("<img src='images/spinner.gif'/>初始化安装失败！");
					$(".goback").attr("disabled","");
					$(".goback").removeClass("dis");
				}
			}
		});
	}
</script>